petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetCoarseDM

Get the coarse mesh from which this was obtained by refinement

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetCoarseDM(DM dm, DM *cdm)

### Input Parameter

dm -The DM object

### Output Parameter

cdm -The coarse DM

### See Also

DMSetCoarseDM()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html